Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Class SVGGraphicContextConverter

    java.lang.Object
      org.apache.batik.svggen.SVGGraphicContextConverter

    public class SVGGraphicContextConverter

extends Object

This class performs the task of converting the state of the Java 2D API graphic context into a set of graphic attributes. It also manages a set of SVG definitions referenced by the SVG attributes.

Constructor Summary
`SVGGraphicContextConverter(SVGGeneratorContext generatorContext)`

Method Summary
`SVGClip` | `getClipConverter()`
`SVGComposite` | `getCompositeConverter()`
`List` | `getDefinitionSet()`
`SVGFont` | `getFontConverter()`
`SVGRenderingHints` | `getHintsConverter()`
`SVGPaint` | `getPaintConverter()`
`SVGBasicStroke` | `getStrokeConverter()`
`SVGTransform` | `getTransformConverter()`
`SVGGraphicContext` | `toSVG(GraphicContext gc)`
`String` | `toSVG(TransformStackElement[] transformStack)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGGraphicContextConverter

    public SVGGraphicContextConverter(SVGGeneratorContext generatorContext)

Parameters:
  `generatorContext` - the context that will be used to create elements, handle extension and images.

Method Detail

### getTransformConverter

    public SVGTransform getTransformConverter()

### getPaintConverter

    public SVGPaint getPaintConverter()

### getStrokeConverter

    public SVGBasicStroke getStrokeConverter()

### getCompositeConverter

    public SVGComposite getCompositeConverter()

### getClipConverter

    public SVGClip getClipConverter()

### getHintsConverter

    public SVGRenderingHints getHintsConverter()

### getFontConverter

    public SVGFont getFontConverter()

### toSVG

    public String toSVG(TransformStackElement[] transformStack)

  Returns:
    a String containing the transform attribute value equivalent of the input transform stack.

### toSVG

    public SVGGraphicContext toSVG(GraphicContext gc)

  Returns:
    an object that describes the set of SVG attributes that represent the equivalent of the input GraphicContext state.

### getDefinitionSet

    public List getDefinitionSet()

  Returns:
    a set of element containing definitions for the attribute values generated by this converter since its creation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.